Application: gvSIG desktop - gvSIG bugs #5746
La rotacion de los simbolos no funciona en la 2.6
07/31/2023 01:29 PM - Mario Carrera

Status: Closed % Done: 100%
Priority: Urgent Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Symbology

Target version: 2.6.0-3330

Severity: Minor Add-on version:

gvSIG version: 2.6.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Si creamos una simbologia de puntos con un simbolo al que le indicamos que rote 909, el simbolo no gira. Enla 2.5.1 si que
funcionaba.

Nos esta ocurriendo para imprimir los mapas del Ayuntamiento de Albacete.

Associated revisions

Revision 3028 - 09/06/2023 09:49 AM - Francisco Diaz Carsi

refs #5746 Anadida prevision de que se lance mas de una vez el initComponents.

Revision 47464 - 09/06/2023 09:55 AM - Francisco Diaz Carsi

refs #5746: Modificaciones para que la rotacion y el tamaro de los simbolos marcadores de imagen se comporten adecuadamente

(size/sizeExpression, rotation/rotationExpression) y afiadidas traducciones.

History

#1 - 08/04/2023 08:05 AM - Joaquin del Cerro Murciano
- Severity changed from Major to Minor
- Priority changed from High to Urgent

#2 - 09/05/2023 12:26 PM - Francisco Diaz Carsi
- Assignee set to Francisco Diaz Carsi
- Status changed from New to In progress

#3 - 09/06/2023 10:06 AM - Francisco Diaz Carsi
- % Done changed from 0 to 100
- Status changed from In progress to Fixed

El problema pasaba tanto con la rotacion como con el tamario de los simbolos de marcadores de imagen.
El problema estribaba en que en el selector de simbologia se puede especificar tanto el tamario como el angulo de rotacién del simbolo, y después en
las propiedades del simbolo, se puede especificar una expresion para ambos campos.

05/10/2024 1/2




La expresion tiene prioridad sobre el valor del campo, y cuando se dejaba vacia interpretaba que valia 0.
Se ha arreglado de forma que:
- Sigue teniendo prioridad el valor de la expresion sobre el valor del campo.
- Cuando la expresién esté vacia no se usara.
- Cuando se cambia el valor del campo en el selector de simbologia, se borra la expresion para que no tenga efecto.

#4 - 09/06/2023 12:50 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3330

#5 - 10/18/2023 11:09 AM - Alvaro Anguix
- Status changed from Fixed to Closed
